---
title: 2022-03-03
---

## Co-op Cloud Federation Bootstrapping

_Please add any suggested agenda items here. We'll add meeting notes to this page after the meeting has happened_

## Metadata

* Time / date: March 3 @ 1500-1630 UTC https://time.is/0300PM_3_Mar_2023_in_UTC
* Location: https://meet.jit.si/coop-cloud-federation-bootstrap-meeting
* Real-time note taking will happen at: https://pad.autonomic.zone/XVhRKvAaRHmaEIR14KBxLA# (and be migrated here after the meeting)

## Agenda

(All times UTC, as sharp as possible)

| Start | End | Topic | Time |
| -------- | -------- | -------- | -------- |
| 1500 | - | Meeting opens | - |
| 1500 | 1510 | introductions | 10m |
| 1510 | 1520 | confirming the agenda | 10m |
| 1520 | 1540 | decision-making process | 20m |
| 1540 | 1450 | break | 10m |
| 1450 | 1610 | small-group discussions | 20m |
| 1610 | 1630 | report-back / next steps | 20m |

Suggested topics for small-group discussions:

1. What software tools do we want to use for our organising?
2. How should the finances of the federation work?
3. Where else can we promote Co-op Cloud?
4. Development priorities

## Meeting notes

# Co-op cloud federation meeting notes

## 2023-03-03 1500-1600 UTC

- [Breakout Room #1: What software tools do we want to use for our organising?](https://pad.autonomic.zone/CMPv96RNQf-qapA1xyQiGg)
- [Breakout Room #2: How should the finances of the federation work?](https://pad.autonomic.zone/iJjdpX-3QdeD8TacJe5Qnw)
- [Breakout Room #3: Developmeny priorities](https://pad.autonomic.zone/jQyeDPv8Sy6kbBbfxyWP5w)
- [Breakout Room #4: Membership](https://pad.autonomic.zone/-g0KdeIPS_m6Z2KmEAt8bQ#)

## Agenda

(All times UTC, as sharp as possible)

| Start | End | Topic | Time |
| -------- | -------- | -------- | -------- |
| 1500 | - | Meeting opens | - |
| 1500 | 1510 | introductions | 10m |
| 1510 | 1520 | confirming the agenda | 10m |
| 1520 | 1540 | decision-making process | 20m |
| 1540 | 1450 | break | 10m |
| 1450 | 1610 | small-group discussions | 20m |
| 1610 | 1630 | report-back / next steps | 20m |

Suggested topics for small-group discussions:

1. What software tools do we want to use for our organising?
2. How should the finances of the federation work?
3. Where else can we promote Co-op Cloud?
4. Development priorities

## Introductions

- name
- pronouns
- co-op you're part of
- favorite natural place

Attending:

* Trav (Autonomic) [facilitation]
* dc1 (Autonomic)
* Phillip (Local-IT)
* kawaiipunk (Autonomic)
* V (Flancia [coop] - https://anagora.org [software platform])
* Cas (Autonomic) [main notes]
* Josef (Doop-Coop)
* Wolcen (Agaric)
* Ivan (Bonfire)
* Mayel (Bonfire)
* Calix (Autonomic) [facilitation]
* Jamie (FarmOS)
* Mirsal

## Confirming Agenda

- V: Question about overall objective.
- Calix: Any suggested answers?
- dc1: To see who wants to come with on setting up the fed. Getting going making descisions together. Also how people see themselves participating on an ongoing basis.
- Calix: Any other intentions?

[Mirsal joins]

Recap:
- How to make Decisions

- Wolcen: Is there an existing org or is this the start?
- Trav: This is the kick off. We start here.
- dc1: Points to proposal. Mostly from Autonomic's viewpoint, which we hope to build on.

- V: Asking about transcription bots.
- Calix: Suggests that we table for now for later discussion.

## decision-making process

proposal: https://git.coopcloud.tech/Federation/Federation/wiki/Proposals

- Trav: We adapted an old proposal for descision making process.
- https://pad.autonomic.zone/s/MLafJE2jC#Overview
- https://coopcloud.tech/blog/federation-proposal/

- Trav: We consider this an important step in group formation. Summary: Proposal is written up and posted on channel, voting occurs via emoji reactions and after a time period it is passed.
- dc1: Context: Autonomic has been initiating the project heretofor and has made all descisions, but we want the community to have that power rather than Autonomic.

- Calix: We are in bootstraps as far as descision making so we have hope we can do it ad hoc this time.

- V: Question about using Loomio.

- kawaiipunk: Loomio while it is good seems to have a lot of bloat to it and the complexity of the forum functionality. Proposes we try to the most minimal mechanics possible. Autonomic uses this process.
Calix: We don't have SSO for Coopcloud that we all have access. Gitea is a good platform for bootstrapping since it has its own accounts and almost everyone already has accounts on it for functional reasons.
Wolcen: keeping things in as few places as possible seems better.
- dc1: +1 for minimal. We are at the start, and all things are vague so we perhaps just do the minimal possible and keep going with what we have

- V: As a member of not autonomic lacking context. tnx to dc1 for clarifying.

- Wolcen: Asks about technology for automating the gitea+wiki->matrix crossover.
- dc1: No automation current we can always change that later

- kawaiipunk: Would the voting proposal come into effect after this meeting. Propose that it should. - Explanation that we operate more on a consent basis than exactly a consensus and this proposal continues that.

- Wolcen: Asks about how to determine the magnitude of a descision and when the proposal can be acted on based on votes.
- dc1: General descions are made as more than one person. This informs how to do the calculation for the magnitude.
- kawaiipunk: Medium descisions can pass without everyone interacting with them. Good descisions are transparent and reversable. Controversial things generally have more than one blocker.

## break time

## Roundup about breakouts

## Checking on qualified yes answers on poll about descision making

1 qualified yes. Giving space for the qualifications. No takers.

- V: Suggests that Autonomic lead that choice.
- kawaiipunk: Agrees. If we're following consensus, unless anyone blocks it passes.

**We pass the descision making process.**

## Breakouts

Calix: Suggestions for other breakout topics?

Wolcen: 1 & 4 seem closely tied and should be merged.

dc1: Membership should be a topic.

We vote on poll now.

## Breakout 1 + 3 (technology and technology)

We summarized where we're at, what technologies are being used for organizing, what are the dependencies for coop cloud, and what is being developed.

A couple of little things that are interesting from the perspective of development priorities:

- debug / entrypoint tools
- catalog normalization

## Breakout 2 (finances)

Summary: Federation model has tried and failed several times. Priority should be getting some money in. Give what you can should be the main thing and we can see if we need to tweak that.


## Breakout 4 (membership)

Broke down what membership means. Three classes of membership and what their powers are.

- Community member (individual level)
- Recipe maintainer
- Federation members - which is the main descion making member.

Discussed the processes involved in creating members, as in notes.

MVP is protection from capital interest. Existing members vote on new members? Minimal and lean.

## We vote on next meeting time

## Checkout process

- How do you feel?
- What about future?

Calix: Feeling inspired. Topics would love to talk about: Working groups? What comms channels are needed?

V: Feeling amazing. In one month?

dc1: Feeling great, very productive. Looking forward to future.

Trav: Great! THink this works well. Good that we can actually make descisions. Excited and optimistic for future.

Mayel: Feel good about meeting.  Really good to see energies. Great awesome keep going.

Wolcen: Feels great. Good to see it making progress. Missed meeting pad - having official links for future meetings would be nice to have.

Cas: Great. Looking forward to nitty gritty stuff.

kawaiipunk: Tired, but good. Good discussions. Excited to have it open up to other people. Maybe we could hack on technical stuff. Interested in recipes and doing more formal organization.


Phillipp: Excited this was really great. Language barrier made it a little challenging. Next meeting has a lot of questions and things to do.

## Poll

* 1 month wins for next meeting.

## Breakout room #1

We have a rambling discussion about things related to software.

List of technologies currently in use:

- gitea [wiki, source repo, kanban?]
- matrix [chat, community organization]

Technologies under development/coop cloud

- Abra
- Recipes
- Recipe catalog

Technology dependencies

- Docker + swarm

Technology decision considerations

- What about using other 'containers', 'virtual instances', etc?
    - Part of the value proposition is that it operates on current standards.

Development priorities

- Standardizing recipe catalog acquisition
- Debug/other hooks/entrypoints

## Breakout room #2

Breakout Room #2: How should the finances of the federation work?

Trav, Mayel, yksflip, d1, V

trav taking notes

d1: want to map what we're already doing. At first unpaid then back-paid. Grant money is gone. Now asking clients to contribute 50% of fee towards Co-op Cloud development. Have not dumped money into OC yet.

V: why tell clients? Transparency?

d1: yeah transparency, helps get paid out and helps groups understand what they're contributing to.

m: some part of revenue goes back to maintain commons. we know theres more than the config, we have admin, meetings, more services/tools/etc. besides membership dues, I would draft some suggestions/templates for how hosters can split revenue between infra/config/upstream project development...

yksflip: contribute time to co-op cloud atm. but happy to shuffle money directly to open collective. main funding is public funding, funders need to see who is working on what, transparency/overview stuff. they also have money to give to freelancers. could we have ways to say we give % of the project to the open collective of the fedi. still trying to make local-it sustainable. funding until july and then open question how to go on sustainably.

t: concern on finances is, having enough. paying for meetings is noble but we'll lose money fast. having a prioritisation of where money goes would be great. then as we have cash we put it where we want.

d1: contribute comensurate to number of members in co-op? what would be a practical model? do we attach it to membership (dues?).

v: dues and per-x contribution? are these two differen things?

d1: 2 approaches, end goal is the same, have members contribute to the project

V: we are amalgum, hard to quantify member #s

yksflip: best to start with something easy. Co-ops of this size/# of instance, guidelines. Try it and then discuss again in a few months. Compensating meetings is great but maybe some things are more urgent.

V: how does Autonomic do this currently?

d1: simpler for us as 1 org vs fed. All funds into 1 pot. Tricky to get right. Did call with Co-op Cycle, bike delivery. Start with financial contribution from the start. Money makes things happen.

## Breakout #3 did not happen

## Breakout #4: Membership

Jamie (facilitating), Kawaiipunk, Calix (notes)

## What are we hoping to learn / decide?

kp: 3 levels of membership:
- community member
- maintainers of recipes
- federation members

question: boundaries around co-operativeness. open to organisations / individuals? what org. structures permitted for members. co-ops only? worker co-ops only? allied orgs? capitalist orgs? do we allow co-ops

calix: Q: what is the process for deciding any of above questions? new members, dues, etc.

j: is there a way for e.g. corporate members to be community members? any previous steps towards decision-making with co-op cloud?

Calix: Cooperative Technologists [...] when someone wants to joing it's a network-wide process, case-by-case, open to anyone to in the group; then w/ Autonomic, it's a 2-step process where someone joins provisionally, then as full member after a period of time.

j: B-Corp, somewhat controversial category at this point as to whether it means anything or not. Consideration to take network approach to avoid "legalistic" approach, strict "by the books".

kp: might also be a problem of assessing what counts as a cooperative for international members, different legal formations around the world.

c: Proposal: the 3 cats, fed-members should be cooperatively run, and aligned with values of the federation. Large decision among federation members to add a new one.

J: Like it. Open it as a question.

c: Could use our new decision making process? Ask for comments before it goes live.

kp: Seems quite fundamental. Best to keep simple and iterate.

calix: should there be a federation members only matrix channel to discuss federation decisions?

kp: guess there'd have to be under current plans. or does it set up too much of an "in group"? proposals could be posted publicly, voting could be in secret, results public? emoji voting in a private channel. transparency = positive.

jamie: public "who voted how"

kp: maybe literally just collecting of voting
